Bug 242108 - ftp/R-cran-curl: fix build on powerpc64 elfv2
Summary: ftp/R-cran-curl: fix build on powerpc64 elfv2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-20 13:35 UTC by Piotr Kubaj
Modified: 2019-11-24 04:15 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tota)


Attachments
patch (1.03 KB, patch)
2019-11-20 13:35 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (tota)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-20 13:35:20 UTC
Created attachment 209280 [details]
patch

GCC9 doesn't define __ppc64__ on powerpc64, but clang does, making it include libkern/OSByteOrder.h, which is OSX-specific header. Fix ifdefs.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-23 20:14:17 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-11-24 04:14:23 UTC
A commit references this bug:

Author: tota
Date: Sun Nov 24 04:13:50 UTC 2019
New revision: 518292
URL: https://svnweb.freebsd.org/changeset/ports/518292

Log:
  - Fix build on powerpc64 elfv2

  PR:		242108
  Submitted by:	pkubaj@

Changes:
  head/ftp/R-cran-curl/files/patch-src_curl.c
Comment 3 TAKATSU Tomonari freebsd_committer 2019-11-24 04:15:33 UTC
Committed.
Thanks!